The module provides a Mapbox CCK field type in Drupal CMS. Using which content administrators can easily add one or multiple Mapbox maps.

## Requirements:

1. [Mapbox](https://www.mapbox.com) access token.
2. [Mapbox](https://www.drupal.org/project/mapbox) base module installed.

## Installation:

Simply;

1. Download a latest stable release of the module.
2. Extract it in your modules/contrib folder.
3. Goto your Drupals' extend section or simply goto admin/modules.
4. Search for Mapbox Field module and enable it.

## Usage:

1. To add the Mapbox Field go to your desired content type, people field settings or custom block.
2. Add the field and select the field type from the dropdown to 'Mapbox Field' under 'General' category.
3. Set the storage settings (Limited OR Unlimited).
4. Configure the default values and configurations on the field.
5. Go to that content type and add a node, you will have a Mapbox field allowing you to mark location on the map.
6. The field also allows you to change the basic Mapbox settings as per your needs such as default zoom, max zoom level, min zoom level or if you want to show 3d buildings etc.

## Display Options:

Module provides three display format options under the Manage Display section and they function as follows;

### Mapbox:
-----------

If you have chosen your field to be unlimited from your fields' storage settings. The field will allow you to add another map so you can mark as many locations as you want. This display format will show each of the marked location on a separate map.

### Mapbox Raw Lng/Lat:
-----------------------

This display format simply renders the Latitude and Longitude of the marked location as a text instead of map. This display format is required by the [Mapbox Views](https://www.drupal.org/project/mapbox_views) module.

### Mapbox - All in one:
------------------------

This display format shows all marked locations on a single map. This display format has its own settings form to make adjustments to the map, if you choose this display format you will have to make adjustments to the map from that form.
