<?php

namespace Drupal\mapbox_field\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;

/**
 * Plugin implementation of the 'mapbox_raw_formatter' formatter.
 *
 * @FieldFormatter(
 *   id = "mapbox_raw_formatter",
 *   label = @Translation("Mapbox Raw Lat/Lng"),
 *   field_types = {
 *     "mapbox_field"
 *   }
 * )
 */
class MapboxRawFormatter extends FormatterBase {
  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = [];

    foreach ($items as $delta => $item) {
      $elements[$delta] = ['#markup' => $item->lat.','.$item->lng];
    }

    return $elements;
  }
}
